PathHelp

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## other
Class PathHelp

    java.lang.Object
      other.PathHelp

public class PathHelp
extends java.lang.Object

PathHelp Klasse Klasse mit mehreren statischen Methoden zum komfortablen Umgang mit absoluten Pfaden

Constructor Summary
`PathHelp()`

Method Summary
`static java.lang.String` | `pathSep()` Liefert nur den Separator (Windows: '\', Unix: '/')
`static java.lang.String` | `specDirConfigSep()` Liefert den Config-Pfad mit Separator
`static java.lang.String` | `specDirHelpSep()` Liefert den Help-Pfad mit Separator
`static java.lang.String` | `specDirIconSep()` Liefert den Icon-Pfad mit Separator
`static java.lang.String` | `specDirImageSep()` Liefert den Image-Pfad mit Separator
`static java.lang.String` | `specDirTooltipSep()` Liefert den Tooltip-Pfad mit Separator
`static java.lang.String` | `specFileBlankObj()` Liefert den Pfad der leeren TransObj-Datei
`static java.lang.String` | `specFileConfig()` Liefert den Pfad der Config-Datei
`static java.lang.String` | `specFileObsImg()` Liefert den Pfad des Obstacle-Bitmaps
`static java.lang.String` | `specFileStdCam()` Liefert den Pfad des Kamerabildes
`static java.lang.String` | `userDir()` Liefert den Pfad der Applikation ohne abschließenden Separator
`static java.lang.String` | `userDirSep()` Liefert den Pfad der Applikation mit abschließendem Separator

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathHelp

    public PathHelp()

Method Detail

### userDir

    public static java.lang.String userDir()

  Liefert den Pfad der Applikation ohne abschließenden Separator

  Returns:
    Pfad der Applikation

### userDirSep

    public static java.lang.String userDirSep()

  Liefert den Pfad der Applikation mit abschließendem Separator

  Returns:
    Pfad der Applikation mit abschließendem Seperator

### pathSep

    public static java.lang.String pathSep()

  Liefert nur den Separator (Windows: '\', Unix: '/')

  Returns:
    den Seperator

### specDirImageSep

    public static java.lang.String specDirImageSep()

  Liefert den Image-Pfad mit Separator

  Returns:
    den Imagepfad mit abschließendem Seperator

### specDirConfigSep

    public static java.lang.String specDirConfigSep()

  Liefert den Config-Pfad mit Separator

  Returns:
    den Config-Pfad mit abschließendem Seperator

### specDirIconSep

    public static java.lang.String specDirIconSep()

  Liefert den Icon-Pfad mit Separator

  Returns:
    den Icon-Pfad mit abschließendem Seperator

### specDirHelpSep

    public static java.lang.String specDirHelpSep()

  Liefert den Help-Pfad mit Separator

  Returns:
    den Help-Pfad mit abschließendem Seperator

### specDirTooltipSep

    public static java.lang.String specDirTooltipSep()

  Liefert den Tooltip-Pfad mit Separator

  Returns:
    den Tooltip-Pfad mit abschließendem Seperator

### specFileConfig

    public static java.lang.String specFileConfig()

  Liefert den Pfad der Config-Datei

  Returns:
    den Pfad der Config-Datei

### specFileObsImg

    public static java.lang.String specFileObsImg()

  Liefert den Pfad des Obstacle-Bitmaps

  Returns:
    den Pfad des Obstacle-Bitmaps

### specFileBlankObj

    public static java.lang.String specFileBlankObj()

  Liefert den Pfad der leeren TransObj-Datei

  Returns:
    den Pfad der leeren TransObj-Datei

### specFileStdCam

    public static java.lang.String specFileStdCam()

  Liefert den Pfad des Kamerabildes

  Returns:
    den Pfad des Kamerabildes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD